CMSIS-DSP: arm_atan2_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_atan2_f32.c File Reference

## Macros

#define | ATANHALFF32
#define | PIHALFF32
#define | ATAN2_NB_COEFS_F32

## Functions

__STATIC_FORCEINLINE float32_t | arm_atan_limited_f32 (float32_t x)
__STATIC_FORCEINLINE float32_t | arm_atan_f32 (float32_t x)
arm_status | arm_atan2_f32 (float32_t y, float32_t x, float32_t *result)
| Arc Tangent of y/x using sign of y and x to get right quadrant. More...

## Macro Definition Documentation

#define ATAN2_NB_COEFS_F32

#define ATANHALFF32

#define PIHALFF32

## Function Documentation

__STATIC_FORCEINLINE float32_t arm_atan_f32 | ( | float32_t | x | ) |

__STATIC_FORCEINLINE float32_t arm_atan_limited_f32 | ( | float32_t | x | ) |